## lua-luv 1.9.1-0

=== debian/changelog ===
lua-luv (1.9.1-0-2) unstable; urgency=medium

  * autopkgtest: Add all build-deps so all tests can pass on Debian's CI
  * Tests: disable test-conversions.lua. It does not work properly on
    lua5.1/i386, and this behavior can't be relied on. (Closes: #834461)
  * Add libkvm-dev to Build-Depends for kfreebsd-any (Closes: #834463)

 -- Jason Pleau <jason@jpleau.ca>  Wed, 24 Aug 2016 19:26:41 -0400

lua-luv (1.9.1-0-1) unstable; urgency=medium

  * Initial release (Closes: #829039)

 -- Jason Pleau <jason@jpleau.ca>  Fri, 12 Aug 2016 20:22:40 -0400
