=== debian/control ===
Source: lua-luv
Priority: optional
Maintainer: Jason Pleau <jason@jpleau.ca>
Build-Depends: debhelper (>= 9),
               dh-lua,
               libuv1-dev,
               libkvm-dev [kfreebsd-any]
Standards-Version: 3.9.8
Section: interpreters
Homepage: https://github.com/luvit/luv
Vcs-Git: https://anonscm.debian.org/cgit/pkg-lua/lua-luv.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lua/lua-luv.git

Package: lua-luv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: libuv bindings for lua
 libuv is a multi-platform support library with a focus on asynchronous I/O.
 .
 This package provides libuv bindings for the Lua programming language.

Package: lua-luv-dev
Section: libdevel
Architecture: any
Depends: lua-luv (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Description: libuv bindings for lua
 This package provide the static library for lua-luv
