## lua-luv 1.30.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 project (luv C ASM)
 
 set(LUV_VERSION_MAJOR 1)
-set(LUV_VERSION_MINOR 9)
+set(LUV_VERSION_MINOR 30)
 set(LUV_VERSION_PATCH 1)
 set(LUV_VERSION ${LUV_VERSION_MAJOR}.${LUV_VERSION_MINOR}.${LUV_VERSION_PATCH})
 
@@ -18,6 +18,20 @@
 if (MINGW)
   add_definitions(-D_WIN32_WINNT=0x0600)
 endif (MINGW)
+
+if (WIN32)
+  # replace /MD to /MT to avoid link msvcr*.dll
+  # this needs to be before add_subdirectory calls so that they inherit the modified flags
+  set(CompilerFlags
+    CMAKE_C_FLAGS
+    CMAKE_C_FLAGS_DEBUG
+    CMAKE_C_FLAGS_MINSIZEREL
+    CMAKE_C_FLAGS_RELWITHDEBINFO
+    CMAKE_C_FLAGS_RELEASE)
+  foreach(CompilerFlag ${CompilerFlags})
+    string(REPLACE "/MD" "/MT" ${CompilerFlag} "${${CompilerFlag}}")
+  endforeach()
+endif ()
 
 if (NOT WITH_LUA_ENGINE)
   set(WITH_LUA_ENGINE "LuaJIT"
@@ -45,16 +59,16 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
 
 if (WITH_SHARED_LIBUV)
-  find_package(Libuv)
-  if (LIBUV_FOUND)
-    include_directories(${LIBUV_INCLUDE_DIR})
-  endif (LIBUV_FOUND)
+  find_package(Libuv REQUIRED)
+  include_directories(${LIBUV_INCLUDE_DIR})
 else (WITH_SHARED_LIBUV)
-  include(deps/uv.cmake)
+  include_directories(deps/libuv/include)
+  add_subdirectory(deps/libuv EXCLUDE_FROM_ALL)
   if (BUILD_MODULE)
     add_definitions( -DBUILDING_UV_SHARED )
   endif (BUILD_MODULE)
-  set(LIBUV_LIBRARIES uv)
+  set(LIBUV_LIBRARIES uv_a)
+  set_target_properties(uv_a PROPERTIES COMPILE_FLAGS "-fPIC")
 endif (WITH_SHARED_LIBUV)
 
 if (LUA)
@@ -77,7 +91,7 @@
     NAMES luajit libluajit
     PATHS ${LUA_LIBDIR}
     NO_DEFAULT_PATH)
-  ELSEIF(LUA_EXEC_NAME STREQUAL "lua")
+  ELSEIF(LUA_EXEC_NAME MATCHES "lua.*")
     FIND_LIBRARY(LUA_LIBRARIES
       NAMES lua lua53 lua52 lua51 liblua liblua53 liblua52 liblua51
       PATHS ${LUA_LIBDIR}
@@ -89,16 +103,12 @@
 else (LUA)
   if (LUA_BUILD_TYPE STREQUAL System)
     if (USE_LUAJIT)
-      find_package(LuaJIT)
-      if (LUAJIT_FOUND)
-        include_directories(${LUAJIT_INCLUDE_DIR})
-        link_directories(${LUAJIT_LIBRARIES})
-      endif (LUAJIT_FOUND)
+      find_package(LuaJIT REQUIRED)
+      include_directories(${LUAJIT_INCLUDE_DIR})
+      link_directories(${LUAJIT_LIBRARIES})
     else (USE_LUAJIT)
-      find_package(Lua)
-      if (LUA_FOUND)
-        include_directories(${LUA_INCLUDE_DIR})
-      endif (LUA_FOUND)
+      find_package(Lua REQUIRED)
+      include_directories(${LUA_INCLUDE_DIR})
     endif (USE_LUAJIT)
 
   else (LUA_BUILD_TYPE STREQUAL System)
@@ -113,7 +123,7 @@
       set(LUAJIT_LIBRARIES luajit-5.1)
     else(USE_LUAJIT)
       include(deps/lua.cmake)
-      include_directories(deps/lua/src)
+      include_directories(deps/lua)
     endif (USE_LUAJIT)
   endif (LUA_BUILD_TYPE STREQUAL System)
 endif (LUA)
@@ -138,6 +148,14 @@
   #   "${CMAKE_SHARED_MODULE_CREATE_C_FLAGS} -bundle_loader ${LUAJIT}"
   # )
 endif()
+
+if(NOT LUA_COMPAT53_DIR)
+  set(LUA_COMPAT53_DIR deps/lua-compat-5.3)
+endif()
+if(DEFINED ENV{LUA_COMPAT53_DIR})
+  set(LUA_COMPAT53_DIR $ENV{LUA_COMPAT53_DIR})
+endif()
+include_directories(${LUA_COMPAT53_DIR})
 
 if(WIN32)
   add_definitions(-DLUA_BUILD_AS_DLL -DLUA_LIB)
@@ -154,16 +172,6 @@
       endif (LUA_BUILD_TYPE STREQUAL System)
     endif (USE_LUAJIT)
   endif (LUA)
-  # replace /MD to /MT to avoid link msvcr*.dll
-  set(CompilerFlags
-    CMAKE_C_FLAGS
-    CMAKE_C_FLAGS_DEBUG
-    CMAKE_C_FLAGS_MINSIZEREL
-    CMAKE_C_FLAGS_RELWITHDEBINFO
-    CMAKE_C_FLAGS_RELEASE)
-  foreach(CompilerFlag ${CompilerFlags})
-    string(REPLACE "/MD" "/MT" ${CompilerFlag} "${${CompilerFlag}}")
-  endforeach()
 elseif("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")
   target_link_libraries(luv ${LIBUV_LIBRARIES} rt)
 else()
@@ -191,6 +199,14 @@
     LIBRARY DESTINATION "${INSTALL_LIB_DIR}"
   )
   if (NOT BUILD_MODULE)
+    if(UNIX)
+      set(prefix ${CMAKE_INSTALL_PREFIX})
+      set(includedir ${INSTALL_INC_DIR})
+      set(libdir ${INSTALL_LIB_DIR})
+      configure_file(libluv.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libluv.pc @ONLY)
+      install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libluv.pc
+        DESTINATION ${INSTALL_LIB_DIR}/pkgconfig)
+    endif()
     install(
       FILES src/luv.h src/util.h src/lhandle.h src/lreq.h
       DESTINATION "${INSTALL_INC_DIR}"
