## lua-luv 1.30.1-1

=== debian/changelog ===
lua-luv (1.30.1-1-2) unstable; urgency=medium

  * disable_some_tests.patch: add test-leaks to exceptions, since it's flaky

 -- James McCoy <jamessan@debian.org>  Wed, 30 Oct 2019 21:30:09 -0400

lua-luv (1.30.1-1-1) unstable; urgency=medium

  [ Jason Pleau ]
  * New upstream release
  * Point Vcs-* to salsa.debian.org
  * Add a B-D on debhelper-compat (and remove debian/compat)
  * disable_some_tests.patch: add test-udp to exceptions
  * Update Standards-Version to 4.4.0, no changes
  * Add a Build-Depends on lua-compat53-dev

  [ James McCoy ]
  * Add fix-compat53-include-path.patch, to correct the expected include path
    for lua-compat53-dev's compat-5.3.h
  * debian/lua5.x.dh-lua.conf:
    + Specify LUA_HEADER=src/luv.h so packages can build against the C API
    + Add -Isrc to CLIB_CFLAGS to find the header when building the test app
    + Add libuv1-dev Depends on lua-luv-dev
  * Install all luv header files to /usr/include/lua5.x/luv/
  * Cherry-pick upstream patch, b461b6fa3, to fix the process-stdout test when
    run with dh-lua's app test.
  * Set Rules-Requires-Root: no
  * Mark lua-luv(-dev) Multi-Arch: same
  * Add myself to Uploaders

 -- James McCoy <jamessan@debian.org>  Tue, 29 Oct 2019 07:05:59 -0400
