=== debian/control ===
Source: lua-luv
Priority: optional
Maintainer: Jason Pleau <jason@jpleau.ca>
Uploaders: James McCoy <jamessan@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-lua,
               lua-compat53-dev,
               libuv1-dev,
               libkvm-dev [kfreebsd-any]
Standards-Version: 4.4.0
Section: interpreters
Rules-Requires-Root: no
Homepage: https://github.com/luvit/luv
Vcs-Git: https://salsa.debian.org/lua-team/lua-luv
Vcs-Browser: https://salsa.debian.org/lua-team/lua-luv

Package: lua-luv
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
Provides: ${lua:Provides}
Multi-Arch: same
XB-Lua-Versions: ${lua:Versions}
Description: libuv bindings for lua
 libuv is a multi-platform support library with a focus on asynchronous I/O.
 .
 This package provides libuv bindings for the Lua programming language.

Package: lua-luv-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libuv1-dev, lua-luv (= ${binary:Version}), ${misc:Depends}
Provides: ${lua:Provides}
Multi-Arch: same
XB-Lua-Versions: ${lua:Versions}
Description: libuv bindings for lua
 This package provide the static library for lua-luv
