=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	dh_auto_configure
# Remove usr/include/lua{luaver}/luv.h from dev.install, since all the
# headers get installed to usr/include/lua{luaver}/luv/
	sed -i '/usr\/include\/lua5\.[1-9]\/luv\.h/d' debian/lua-luv-dev.install
