## lua-luv 1.36.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,11 +7,12 @@
 project (luv C ASM)
 
 set(LUV_VERSION_MAJOR 1)
-set(LUV_VERSION_MINOR 30)
-set(LUV_VERSION_PATCH 1)
+set(LUV_VERSION_MINOR 36)
+set(LUV_VERSION_PATCH 0)
 set(LUV_VERSION ${LUV_VERSION_MAJOR}.${LUV_VERSION_MINOR}.${LUV_VERSION_PATCH})
 
 option(BUILD_MODULE "Build as module" ON)
+option(BUILD_STATIC_LIBS "Build static library" OFF)
 option(BUILD_SHARED_LIBS "Build shared library" OFF)
 option(WITH_SHARED_LIBUV "Link to a shared libuv library instead of static linking" OFF)
 
@@ -131,13 +132,20 @@
 if (BUILD_MODULE)
   add_library(luv MODULE src/luv.c)
   set_target_properties(luv PROPERTIES PREFIX "")
-else (BUILD_MODULE)
-  add_library(luv src/luv.c)
-  if (BUILD_SHARED_LIBS)
-    set_target_properties(luv
-      PROPERTIES VERSION ${LUV_VERSION} SOVERSION ${LUV_VERSION_MAJOR})
-  endif (BUILD_SHARED_LIBS)
+  list(APPEND ACTIVE_TARGETS "luv")
 endif (BUILD_MODULE)
+if (BUILD_STATIC_LIBS)
+  add_library(libluv_a STATIC src/luv.c)
+  set_target_properties(libluv_a PROPERTIES PREFIX "")
+  list(APPEND ACTIVE_TARGETS "libluv_a")
+endif (BUILD_STATIC_LIBS)
+if (BUILD_SHARED_LIBS)
+  add_library(libluv SHARED src/luv.c)
+  set_target_properties(libluv PROPERTIES PREFIX "")
+  set_target_properties(libluv
+    PROPERTIES VERSION ${LUV_VERSION} SOVERSION ${LUV_VERSION_MAJOR})
+  list(APPEND ACTIVE_TARGETS "libluv")
+endif (BUILD_SHARED_LIBS)
 
 if(APPLE)
   set(CMAKE_SHARED_MODULE_CREATE_C_FLAGS
@@ -155,61 +163,100 @@
 if(DEFINED ENV{LUA_COMPAT53_DIR})
   set(LUA_COMPAT53_DIR $ENV{LUA_COMPAT53_DIR})
 endif()
-include_directories(${LUA_COMPAT53_DIR})
+include_directories(${LUA_COMPAT53_DIR}/c-api)
 
 if(WIN32)
   add_definitions(-DLUA_BUILD_AS_DLL -DLUA_LIB)
-  if (LUA)
-    target_link_libraries(luv ${LIBUV_LIBRARIES} ${LUA_LIBRARIES})
-  else (LUA)
-    if (USE_LUAJIT)
-      target_link_libraries(luv ${LIBUV_LIBRARIES} ${LUAJIT_LIBRARIES})
-    else (USE_LUAJIT)
-      if (LUA_BUILD_TYPE STREQUAL System)
-          target_link_libraries(luv ${LIBUV_LIBRARIES} ${LUA_LIBRARIES})
-      else (LUA_BUILD_TYPE STREQUAL System)
-          target_link_libraries(luv ${LIBUV_LIBRARIES} lualib)
-      endif (LUA_BUILD_TYPE STREQUAL System)
-    endif (USE_LUAJIT)
-  endif (LUA)
-elseif("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")
-  target_link_libraries(luv ${LIBUV_LIBRARIES} rt)
-else()
-  target_link_libraries(luv ${LIBUV_LIBRARIES})
-endif()
+endif()
+
+foreach(TARGET_NAME ${ACTIVE_TARGETS})
+  if(WIN32)
+    if (LUA)
+      target_link_libraries(${TARGET_NAME} ${LIBUV_LIBRARIES} ${LUA_LIBRARIES})
+    else (LUA)
+      if (USE_LUAJIT)
+        target_link_libraries(${TARGET_NAME} ${LIBUV_LIBRARIES} ${LUAJIT_LIBRARIES})
+      else (USE_LUAJIT)
+        if (LUA_BUILD_TYPE STREQUAL System)
+            target_link_libraries(${TARGET_NAME} ${LIBUV_LIBRARIES} ${LUA_LIBRARIES})
+        else (LUA_BUILD_TYPE STREQUAL System)
+            target_link_libraries(${TARGET_NAME} ${LIBUV_LIBRARIES} lualib)
+        endif (LUA_BUILD_TYPE STREQUAL System)
+      endif (USE_LUAJIT)
+    endif (LUA)
+  elseif("${CMAKE_SYSTEM_NAME}" MATCHES "Linux")
+    target_link_libraries(${TARGET_NAME} ${LIBUV_LIBRARIES} rt)
+  else()
+    target_link_libraries(${TARGET_NAME} ${LIBUV_LIBRARIES})
+  endif()
+endforeach()
 
 if (NOT LUA)
   if (BUILD_MODULE)
     if (WIN32)
-      set(INSTALL_LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib")
+      set(MODULE_INSTALL_LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib")
     else (WIN32)
-      set(INSTALL_LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib/lua/${LUA_VERSION_MAJOR}.${LUA_VERSION_MINOR}")
+      set(MODULE_INSTALL_LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib/lua/${LUA_VERSION_MAJOR}.${LUA_VERSION_MINOR}")
     endif (WIN32)
-  else (BUILD_MODULE)
-    set(INSTALL_LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib"
-      CACHE PATH "Installation directory for libraries")
-    set(INSTALL_INC_DIR "${CMAKE_INSTALL_PREFIX}/include/luv"
-      CACHE PATH "Installation directory for headers")
   endif (BUILD_MODULE)
+  if (BUILD_STATIC_LIBS)
+    set(STATICLIBS_INSTALL_LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib"
+      CACHE PATH "Installation directory for static libraries")
+  endif (BUILD_STATIC_LIBS)
+  if (BUILD_SHARED_LIBS)
+    set(SHAREDLIBS_INSTALL_LIB_DIR "${CMAKE_INSTALL_PREFIX}/lib"
+      CACHE PATH "Installation directory for shared libraries")
+  endif (BUILD_SHARED_LIBS)
+else ()
+  # use paths from luaRocks
+  set(MODULE_INSTALL_LIB_DIR "${INSTALL_LIB_DIR}")
+  set(STATICLIBS_INSTALL_LIB_DIR "${INSTALL_LIB_DIR}")
+  set(SHAREDLIBS_INSTALL_LIB_DIR "${INSTALL_LIB_DIR}")
 endif ()
 
+# header install paths are LuaRocks-agnostic, so just use CMAKE_INSTALL_PREFIX regardless
+if (BUILD_STATIC_LIBS)
+  set(STATICLIBS_INSTALL_INC_DIR "${CMAKE_INSTALL_PREFIX}/include/luv"
+    CACHE PATH "Installation directory for headers")
+endif (BUILD_STATIC_LIBS)
+if (BUILD_SHARED_LIBS)
+  set(SHAREDLIBS_INSTALL_INC_DIR "${CMAKE_INSTALL_PREFIX}/include/luv"
+    CACHE PATH "Installation directory for headers")
+endif (BUILD_SHARED_LIBS)
+
 if (CMAKE_INSTALL_PREFIX)
-  install(TARGETS luv
-    ARCHIVE DESTINATION "${INSTALL_LIB_DIR}"
-    LIBRARY DESTINATION "${INSTALL_LIB_DIR}"
-  )
-  if (NOT BUILD_MODULE)
+  if (BUILD_MODULE)
+    install(TARGETS luv
+      ARCHIVE DESTINATION "${MODULE_INSTALL_LIB_DIR}"
+      LIBRARY DESTINATION "${MODULE_INSTALL_LIB_DIR}"
+    )
+  endif (BUILD_MODULE)
+  if (BUILD_STATIC_LIBS)
+    install(TARGETS libluv_a
+      ARCHIVE DESTINATION "${STATICLIBS_INSTALL_LIB_DIR}"
+      LIBRARY DESTINATION "${STATICLIBS_INSTALL_LIB_DIR}"
+    )
+    install(
+      FILES src/luv.h src/util.h src/lhandle.h src/lreq.h
+      DESTINATION "${STATICLIBS_INSTALL_INC_DIR}"
+    )
+  endif (BUILD_STATIC_LIBS)
+  if (BUILD_SHARED_LIBS)
+    install(TARGETS libluv
+      ARCHIVE DESTINATION "${SHAREDLIBS_INSTALL_LIB_DIR}"
+      LIBRARY DESTINATION "${SHAREDLIBS_INSTALL_LIB_DIR}"
+    )
     if(UNIX)
       set(prefix ${CMAKE_INSTALL_PREFIX})
-      set(includedir ${INSTALL_INC_DIR})
-      set(libdir ${INSTALL_LIB_DIR})
+      set(includedir ${SHAREDLIBS_INSTALL_INC_DIR})
+      set(libdir ${SHAREDLIBS_INSTALL_LIB_DIR})
       configure_file(libluv.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libluv.pc @ONLY)
       install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libluv.pc
-        DESTINATION ${INSTALL_LIB_DIR}/pkgconfig)
+        DESTINATION ${SHAREDLIBS_INSTALL_LIB_DIR}/pkgconfig)
     endif()
     install(
       FILES src/luv.h src/util.h src/lhandle.h src/lreq.h
-      DESTINATION "${INSTALL_INC_DIR}"
-    )
-  endif (NOT BUILD_MODULE)
+      DESTINATION "${SHAREDLIBS_INSTALL_INC_DIR}"
+    )
+  endif (BUILD_SHARED_LIBS)
 endif (CMAKE_INSTALL_PREFIX)
