## lua-luv 1.36.0-0

=== debian/changelog ===
lua-luv (1.36.0-0-1) unstable; urgency=medium

  * New upstream release
  * Remove fix-compat53-include-path.patch, included upstream.
  * Remove cherry-picked b461b6fa3.patch
  * Stop disabling leaks test, since that is no longer automatically run.
  * copyright: Remove unused Files stanza for deps/uv.cmake, not relevant
    since 1.22.0-0
  * control:
    + Use canonical Vcs-Git URL
  * Declare compliance with Policy 4.5.0
  * Enable hardening build flags
  * Add upstream/metadata file with relevant upstream fields

 -- James McCoy <jamessan@debian.org>  Tue, 26 May 2020 22:30:56 -0400
