=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                lua-compat53-dev,
                libuv1-dev,
                libkvm-dev [kfreebsd-any]
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Section: interpreters
 Rules-Requires-Root: no
 Homepage: https://github.com/luvit/luv
-Vcs-Git: https://salsa.debian.org/lua-team/lua-luv
+Vcs-Git: https://salsa.debian.org/lua-team/lua-luv.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-luv
 
 Package: lua-luv
@@ -21,7 +21,7 @@
 Provides: ${lua:Provides}
 Multi-Arch: same
 XB-Lua-Versions: ${lua:Versions}
-Description: libuv bindings for lua
+Description: libuv bindings for Lua
  libuv is a multi-platform support library with a focus on asynchronous I/O.
  .
  This package provides libuv bindings for the Lua programming language.
@@ -34,5 +34,5 @@
 Provides: ${lua:Provides}
 Multi-Arch: same
 XB-Lua-Versions: ${lua:Versions}
-Description: libuv bindings for lua
- This package provide the static library for lua-luv
+Description: libuv bindings for Lua (development files)
+ This package provide the static library and headers for lua-luv
