=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 BUILD_MODULE ?= ON
 BUILD_SHARED_LIBS ?= OFF
+BUILD_STATIC_LIBS ?= OFF
 WITH_SHARED_LIBUV ?= OFF
 WITH_LUA_ENGINE ?= LuaJIT
 LUA_BUILD_TYPE ?= Static
@@ -23,6 +24,7 @@
 CMAKE_OPTIONS += \
 	-DBUILD_MODULE=$(BUILD_MODULE) \
 	-DBUILD_SHARED_LIBS=$(BUILD_SHARED_LIBS) \
+	-DBUILD_STATIC_LIBS=$(BUILD_STATIC_LIBS) \
 	-DWITH_SHARED_LIBUV=$(WITH_SHARED_LIBUV) \
 	-DWITH_LUA_ENGINE=$(WITH_LUA_ENGINE) \
 	-DLUA_BUILD_TYPE=$(LUA_BUILD_TYPE) \
