## lua-luv 1.48.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,10 @@
-cmake_minimum_required(VERSION 2.8)
-
-if(POLICY CMP0053)
-  cmake_policy(SET CMP0053 NEW) # faster evaluation of variable references
-endif()
+cmake_minimum_required(VERSION 3.5)
 
 project (luv C ASM)
 
 set(LUV_VERSION_MAJOR 1)
-set(LUV_VERSION_MINOR 44)
-set(LUV_VERSION_PATCH 2)
+set(LUV_VERSION_MINOR 48)
+set(LUV_VERSION_PATCH 0)
 set(LUV_VERSION ${LUV_VERSION_MAJOR}.${LUV_VERSION_MINOR}.${LUV_VERSION_PATCH})
 
 if(NOT ${CMAKE_VERSION} VERSION_LESS "3.5.0")
@@ -324,3 +320,5 @@
       LIBRARY DESTINATION "${SHAREDLIBS_INSTALL_LIB_DIR}"
     )
     if(UNIX OR MINGW)
+      set(prefix ${CMAKE_INSTALL_PREFIX})
+      set(includedir ${SHAREDLIBS_INSTALL_INC_DIR})
