=== Makefile ===
--- 
+++ 
@@ -30,6 +30,10 @@
 	-DLUA_BUILD_TYPE=$(LUA_BUILD_TYPE) \
 	-DLUA_COMPAT53_DIR=$(LUA_COMPAT53_DIR) \
 	-DCMAKE_BUILD_TYPE=$(BUILD_TYPE)
+
+ifdef INSTALL_PREFIX
+CMAKE_OPTIONS += -DCMAKE_INSTALL_PREFIX=$(INSTALL_PREFIX)
+endif
 
 ifeq ($(MAKE),mingw32-make)
 CMAKE_OPTIONS += -G"MinGW Makefiles"
