## lua-luv 1.48.0-2

=== debian/changelog ===
lua-luv (1.48.0-2-4) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support

 -- Bastian Germann <bage@debian.org>  Thu, 09 Oct 2025 11:54:33 +0200

lua-luv (1.48.0-2-3) unstable; urgency=medium

  * Add patch to increase timeout for async callback in "test threadpool with
    async" test (Closes: #1079983)
  * Bump debhelper-compat to 13
  * Declare compliance with Policy 4.7.0, no changes needed

 -- James McCoy <jamessan@debian.org>  Sat, 31 Aug 2024 21:34:03 -0400

lua-luv (1.48.0-2-2) unstable; urgency=medium

  * Set VERSION_INFO=1:0:0 to align with upstream sover
  * Break neovim << 0.9.5-5
  * Declare compliance with Policy 4.6.2, no changes needed

 -- James McCoy <jamessan@debian.org>  Sun, 03 Mar 2024 16:20:14 -0500

lua-luv (1.48.0-2-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend against dpkg-dev >= 1.22.5 for the t64 transition
    (Closes: #1063254)
  * Disable loop tests since they fail with dh-lua's app-dynamic test cycle.

 -- James McCoy <jamessan@debian.org>  Sat, 02 Mar 2024 20:24:41 -0500
