## lua-luv 1.51.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.10)
 
 project (luv C ASM)
 
 set(LUV_VERSION_MAJOR 1)
-set(LUV_VERSION_MINOR 48)
+set(LUV_VERSION_MINOR 51)
 set(LUV_VERSION_PATCH 0)
 set(LUV_VERSION ${LUV_VERSION_MAJOR}.${LUV_VERSION_MINOR}.${LUV_VERSION_PATCH})
 
@@ -44,7 +44,7 @@
 
 if (NOT LUA_BUILD_TYPE)
   set(LUA_BUILD_TYPE "Static"
-    CACHE STRING "Build Lua/LuaJIT as static, dynamic libary, or use system one" FORCE)
+    CACHE STRING "Build Lua/LuaJIT as static, dynamic library, or use system one" FORCE)
   set_property(CACHE LUA_BUILD_TYPE
     PROPERTY STRINGS  "Static;Dynamic;System")
 endif (NOT LUA_BUILD_TYPE)
@@ -157,6 +157,7 @@
     else(USE_LUAJIT)
       include(deps/lua.cmake)
       set(LUA_INCLUDE_DIR deps/lua)
+      set(LUA_LIBRARIES lualib)
     endif (USE_LUAJIT)
     include_directories(${LUA_INCLUDE_DIR})
     set(LUA_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/${LUA_INCLUDE_DIR})
@@ -238,6 +239,17 @@
 if(WIN32)
   add_definitions(-DLUA_BUILD_AS_DLL -DLUA_LIB)
 endif()
+
+add_executable(test EXCLUDE_FROM_ALL src/test.c src/luv.c)
+# Need to link Lua/LuaJIT libraries on non-Windows for the test executable
+if ((LUAJIT_LIBRARIES OR LUA_LIBRARIES) AND NOT (WIN32 OR CYGWIN))
+  if(USE_LUAJIT)
+    target_link_libraries(test ${LUAJIT_LIBRARIES})
+  else()
+    target_link_libraries(test ${LUA_LIBRARIES})
+  endif()
+endif()
+list(APPEND ACTIVE_TARGETS "test")
 
 foreach(TARGET_NAME ${ACTIVE_TARGETS})
   if(WIN32 OR CYGWIN)
@@ -311,14 +323,3 @@
     install(
       FILES src/luv.h src/util.h src/lhandle.h src/lreq.h
       DESTINATION "${STATICLIBS_INSTALL_INC_DIR}"
-    )
-  endif (BUILD_STATIC_LIBS)
-  if (BUILD_SHARED_LIBS)
-    install(TARGETS libluv
-      RUNTIME DESTINATION "${SHAREDLIBS_INSTALL_BIN_DIR}"
-      ARCHIVE DESTINATION "${SHAREDLIBS_INSTALL_LIB_DIR}"
-      LIBRARY DESTINATION "${SHAREDLIBS_INSTALL_LIB_DIR}"
-    )
-    if(UNIX OR MINGW)
-      set(prefix ${CMAKE_INSTALL_PREFIX})
-      set(includedir ${SHAREDLIBS_INSTALL_INC_DIR})
