=== Makefile ===
--- 
+++ 
@@ -70,6 +70,8 @@
 
 test: luv
 	${LUABIN} tests/run.lua
+	$(MAKE) -C $(BUILD_DIR) test
+	$(BUILD_DIR)/test tests/manual-test-external-loop.lua
 
 reset:
 	git submodule update --init --recursive && \
