## lua-luv 1.51.0-1

=== debian/changelog ===
lua-luv (1.51.0-1-1) unstable; urgency=medium

  * New upstream release
  * Declare compliance with Policy 4.7.2, no changes needed
  * Update path to docs.md
  * Remove "Rules-Require-Root: no", since it is now default
  * Add Salsa CI config

 -- James McCoy <jamessan@debian.org>  Thu, 30 Oct 2025 11:46:17 -0400
