=== debian/control ===
Source: lua-luv
Priority: optional
Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
Uploaders:
 Jason Pleau <jason@jpleau.ca>,
 James McCoy <jamessan@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-lua,
 dpkg-dev (>= 1.22.5),
 libuv1-dev,
 lua-compat53-dev,
Standards-Version: 4.7.2
Section: interpreters
Homepage: https://github.com/luvit/luv
Vcs-Git: https://salsa.debian.org/lua-team/lua-luv.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-luv

Package: lua-luv
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 ${lua:Provides},
Breaks:
 neovim (<< 0.9.5-5~),
Multi-Arch: same
XB-Lua-Versions: ${lua:Versions}
Description: libuv bindings for Lua
 libuv is a multi-platform support library with a focus on asynchronous I/O.
 .
 This package provides libuv bindings for the Lua programming language.

Package: lua-luv-dev
Section: libdevel
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libuv1-dev,
 lua-luv (= ${binary:Version}),
 ${misc:Depends},
Provides:
 ${lua:Provides},
Multi-Arch: same
XB-Lua-Versions: ${lua:Versions}
Description: libuv bindings for Lua (development files)
 This package provide the static library and headers for lua-luv
